V1.0

post

/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/subject/{subjectId}/validate/multiplevisits

Provides the summary for the multiple visits and returns the actions of visit and visitStartDate.

Request

Path Parameters
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request DTO with a list of VisitsDTO objects for validating visit start dates across multiple visits.
Show Source
Nested Schema : visits
Type: array
The list of visit objects to validate.
Show Source
Nested Schema : VisitsDTO1
Type: object
Takes eventId and eventInstanceNum to uniquely reference a visit instance
Show Source
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: D27DB9E0AFE349D7980683CF55A33883
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example: 1
Examples

Back to Top

Response

Supported Media Types

200 Response

Visit start dates validated, results for each visit returned as array.
Body ()
Root Schema : VisitStartDateValidationDto
Type: object
Includes subjectId, eventId, eventInstanceNum, and boolean results indicating whether the visit and the visit start date are locked
Show Source
  • Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: B1ABA3F2E29F4EE193AB6A5DEEC1B5CA
  • Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.
    Example: 5
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example: A1B2C3D4E5F60718293A4BCCFA7EE829
  • Whether the visit is locked.
    Example: false
  • Whether the visit start date is locked.
    Example: true
Examples

400 Response

Bad request.
Body ()
Root Schema : RestResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top